#!/usr/bin/env bash

if [ "$#" -lt 2 ]; then
  echo "Usage: $0 <limit> <playbook> [playbook...]"
  exit
fi

LIMIT=""
LIMIT_PRESENT=$(echo "$1" | grep ".yml")
if [ "${LIMIT_PRESENT}" == "" ]; then
  LIMIT="--limit $1"
  shift
fi

for PLAYBOOK in $@; do
  ansible-playbook --forks 1 ${LIMIT} ${PLAYBOOK}
  shift
done
